Get Security projects

Base URL
https://api.elastic-cloud.com
  • GET /api/v1/serverless/projects/security
Auth

Fetches a list of Security projects.

Query parameters

traffic_filter string

traffic filters associated with this project

linked string · pattern: ^[a-z0-9]{32}$

Contains a project ID. If specified, the result will be filtered to only those origin projects that are linked to the specified project ID in a cross-project search configuration.

tags map string to string · min properties: 1 · max properties: 64

If specified, the result will be filtered to only those projects that have the specified tags and corresponding values.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$

Responses

The Security project list

application/json
next_page string deprecated

A token to fetch the next page.

items object[] required

The actual projects.

id string · pattern: ^[a-z0-9]{32}$ required

ID of the project.

name string · min length: 1 · max length: 255 required

Descriptive name for a project.

alias string · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ required

A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.

region_id string required

Unique human-readable identifier for a region in Elastic Cloud.

metadata object required

Additional details about the project.

created_at string · format: date-time required

Date and time when the project was created.

created_by string required

ID of the user.

organization_id string required

The Organization ID who owns the project.

suspended_at string · format: date-time

Date and time when the project was suspended.

suspended_reason string

Reason why the project was suspended.

tags map string to string · min properties: 1 · max properties: 64

Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$
system_tags map string to string

System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$
annotations map string to string · min properties: 1 · max properties: 64

Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.

<string> string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
cloud_id string required

The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.

traffic_filters object[]

traffic filters IDs

id string required

traffic filter ID

linked object

Configuration for projects linked to this project

projects map string to object required
<string> object
status enum required

The state of the linked project.

Values: enabled suspended deleted
type enum required

The type of the linked project

Values: elasticsearch observability security vectordb
monitoring object

Configuration for monitoring a project.

logging object

Configuration for project logs.

audit object

Configuration for logs from a specific category.

destination object required

Configuration for destination of logs.

project_id string · pattern: ^[a-z0-9]{32}$ required

ID of the project.

project_type enum required

The type of the linked project

Values: elasticsearch observability security vectordb
status enum required

The state of log delivery to this destination. Controlled by the system and read-only: it is set to suspended or deleted when the destination project is suspended or deleted. Logs are only delivered when this is enabled and the logging category's enabled flag is true.

Values: enabled suspended deleted
enabled boolean required

When true, logs from this category are delivered to the configured destination. When false, delivery is paused but the configuration is preserved.

ignore_filters object[]

References to logging ignore filters applied to reduce the volume of logs delivered for this category.

id string required

The unique identifier of the ignore filter.

type enum required

the type of the project

Values: security
endpoints object required

The endpoints to access the different apps of the project.

elasticsearch string required

The endpoint to access elasticsearch.

kibana string required

The endpoint to access kibana.

ingest string required

The endpoint to access the Managed OTLP Endpoint.

private_endpoints object

Private endpoints (URLs) for Security projects when PrivateLink is enabled.

elasticsearch string required

The PrivateLink endpoint URL to access elasticsearch.

kibana string required

The PrivateLink endpoint URL to access kibana.

ingest string required

The PrivateLink endpoint URL to access the Managed OTLP Endpoint.

search_lake object

Configuration for the entire set of capabilities that make the data searchable in Security.

data_retention object nullable

Configuration to control the data retention in Elasticsearch data streams.

max_retention_days integer · min: 7 · max: 3681 nullable

Maximum number of days allowed for retaining data in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.

default_retention_days integer · min: 7 · max: 3681 nullable

Default number of days during which data remains available in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.

admin_features_package enum

admin features package (BYOK, BYOIDP, CCS, CCR)

Values: standard enterprise
product_types object[] · min items: 1 · max items: 3 · default: [ { "product_line": "security", "product_tier": "complete" }, { "product_line": "cloud", "product_tier": "complete" }, { "product_line": "endpoint", "product_tier": "complete" } ]
product_line enum required

The identifier of the Security Solution product line.

Values: security cloud endpoint
product_tier enum required

The identifier of the Security Solution product tier.

Values: complete essentials

Unauthorized

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Base URL
https://api.elastic-cloud.com